# Created by pyp2rpm-3.3.3
%global pypi_name psycopg2
%global commitId c34bf2f2f90fbbe65e8c4c2650734aa151ddd6ed

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        2.9.3
Release:        3%{?dist}
Summary:        psycopg2 - Python-PostgreSQL Database Adapter

License:        LGPL with exceptions
URL:            https://github.com/psycopg/psycopg2
Source0:        python-psycopg2-c34bf2f2f90fbbe65e8c4c2650734aa151ddd6ed.tar.gz

BuildRequires:  gcc
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  postgresql-devel


%description
%{summary}


%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}


%description -n python%{python3_pkgversion}-%{pypi_name}
%{summary}


%prep
%autosetup -n python-%{pypi_name}-%{commitId}


%build
%py3_build


%install
%py3_install


%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE doc/src/license.rst doc/COPYING.LESSER
%doc README.rst doc/README.rst
%{python3_sitearch}/%{pypi_name}
%{python3_sitearch}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Wed Dec 14 2022 Dimitri Savineau <dsavinea@redhat.com> - 2.9.3-3
- Rebuild for multiarch

* Fri Apr 22 2022 Yanis Guenane <yguenane@redhat.com> - 2.9.3-2
- Build against python 3.9

* Thu Feb 03 2022 Odilon Sousa <osousa@redhat.com> - 2.9.3-1
- Release python-psycopg2 2.9.3

* Wed Sep 08 2021 Evgeni Golov 2.9.1-1
- Update to 2.9.1

* Mon Sep 06 2021 Evgeni Golov - 2.8.6-2
- Build against Python 3.8

* Mon Sep 07 2020 Evgeni Golov 2.8.6-1
- Update to 2.8.6

* Tue Apr 14 2020 Evgeni Golov 2.8.5-1
- Update to 2.8.5

* Fri Feb 28 2020 Zach Huntington-Meath <zhunting@redhat.com> - 2.8.4-2
- Bump release to build for el8

* Mon Nov 18 2019 Evgeni Golov - 2.8.4-1
- Initial package.
